Skip to main content
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
Gets transaction documents
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents \
  --header 'Authorization: Bearer <token>'
[
  {
    "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sourceFiles": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transactionId
string<uuid>
required

Transaction identifier. You receive it in the response after the transaction has been successfully created.

Response

Transaction documents

documentId
string<uuid>
required

Document Id

sourceFiles
object[]
required

Source files collection